nocean.ca
SEOSimple Joomla plugin - now for J1.5 J1.6 and J1.7! - Nocean
After almost exactly two years of no updates, I’m quite happy to announce the release of SEOSimple 2.0 — now compatible with Joomla 1.6 and Joomla 1.7 as well as Joomla 1.5 . That’s not all — I’ve finally fixed a number of small bugs that have been growing dust on my todo list – …